# Class default

- Defined in src/public/app/entities/fblob.ts:9

##### Index

### Constructors

constructor

### Properties

blobId
content
contentLength
dateModified
utcDateModified

### Methods

getJsonContent
getJsonContentSafely

## Constructors

### constructor

- new default(row: FBlobRow): default

  #### Parameters

  - row: FBlobRow

  #### Returns default

  - Defined in src/public/app/entities/fblob.ts:19

## Properties

### blobId

blobId: string

- Defined in src/public/app/entities/fblob.ts:10

### content

content: string

can either contain the whole content (in e.g. string notes), only part (large text notes) or nothing at all (binary notes, images)

- Defined in src/public/app/entities/fblob.ts:14

### contentLength

contentLength: number

- Defined in src/public/app/entities/fblob.ts:15

### dateModified

dateModified: string

- Defined in src/public/app/entities/fblob.ts:16

### utcDateModified

utcDateModified: string

- Defined in src/public/app/entities/fblob.ts:17

## Methods

### getJsonContent

- getJsonContent< T >(): null | T

  #### Type Parameters

  - T

  #### Returns null | T

  #### Throws

  Error in case of invalid JSON

  - Defined in src/public/app/entities/fblob.ts:30

### getJsonContentSafely

- getJsonContentSafely(): unknown

  #### Returns unknown

  - Defined in src/public/app/entities/fblob.ts:38